MPT_RAID_PHYS_DISK_P(9)

NAME
mpt_raid_phys_disk_pg0 - returns phys disk page zero

SYNOPSIS

int mpt_raid_phys_disk_pg0(MPT_ADAPTER * ioc, u8 phys_disk_num, RaidPhysDiskPage0_t * phys_disk);

ARGUMENTS

ioc
    Pointer to a Adapter Structure

phys_disk_num
    io unit unique phys disk num generated by the ioc

phys_disk
    requested payload data returned

RETURN

0 on success -EFAULT if read of config page header fails or data pointer not NULL -ENOMEM if pci_alloc failed

COPYRIGHT